Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011566 [DCSS] Bug Report trivial always 2018-07-26 18:06 2018-08-01 21:36
Reporter RoGGa View Status public  
Assigned To advil
Priority normal Resolution done  
Status closed   Product Branch 0.22 old branch
Summary 0011566: On the (pre-game) main menu, [page up] & [page down] not working as expected
Description Also, the [Home] and [End] keys do nothing.
Additional Information
Tags No tags attached.
Attached Files png file icon DCSS main menu screen 800by600.png [^] (47,730 bytes) 2018-07-26 18:40

- Relationships

-  Notes
(0032447)
aidanholm (developer)
2018-07-26 18:11

Yeah, this is a known issue; it's present in the old pre-new-UI release. Basically, the new start up menu is just a pretty box around the same old code that implements the startup menu. This is also why the startup menu still uses the old scroll indicators instead of the new scrollbar. I have a redone version, but it won't be ready for merging in time for the release.
(0032449)
RoGGa (reporter)
2018-07-26 18:39

That's what I thought when you told me previously you had other UI changes lined up in the future.
From what I can gather, DCSS is made to be 'playable" in 800x600 resolution...although this is far from ideal IMO.

The file tiles-help.txt seems to refer (at the bottom) to a recommended smallest resolution of 1024x768.
And in options-guide.txt, it seems the recommended resolution is 1200x800.
My old 13" Dell laptop has a max res of 1366x768 and it is fine in full screen mode or with: "tile_full_screen = false" in my init.txt file

In 1024x768, the current menu is fine and it shows 5 saved games.
In 800x600, the main menu is strange, showing only 2 saved games and not the High Scores line. (see attached screen capture)

All that to say, if you need someone to test WinTiles resolutions for you future main menu, let me know.
(0032465)
advil (administrator)
2018-07-31 02:41

Fixed in trunk by disabling these keys on the main menu for the 0.22 release, they will return in some kind of working form sooner or later.

- Issue History
Date Modified Username Field Change
2018-07-26 18:06 RoGGa New Issue
2018-07-26 18:11 aidanholm Note Added: 0032447
2018-07-26 18:11 aidanholm Status new => confirmed
2018-07-26 18:39 RoGGa Note Added: 0032449
2018-07-26 18:40 RoGGa File Added: DCSS main menu screen 800by600.png
2018-07-31 02:41 advil Note Added: 0032465
2018-07-31 02:41 advil Status confirmed => resolved
2018-07-31 02:41 advil Fixed in Branch => 0.22 development branch
2018-07-31 02:41 advil Resolution open => done
2018-07-31 02:41 advil Assigned To => advil
2018-08-01 21:35 RoGGa Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker